SSS_SEED(8)

NAME
sss_seed - semeia a cache do SSSD com um utilizador

SYNOPSIS

sss_seed [opções] -D DOMÍNIO -n UTILIZADOR

DESCRIÇÃO

sss_seed semeia a cache do SSSD com uma entrada de utilizador e palavra passe temporária. Se o utilizador já estiver presente na cache do SSSD então a entrada é actualizada com a palavra passe temporária.

OPÇÕES

-D,--domain DOMÍNIO
    Fornece o nome do domínio no qual o utilizador é membro. O domínio é também usado para obter informação do utilizador. O domínio tem de ser configurado no sssd.conf. A opção DOMAIN tem de ser fornecida. option must be provided. A informação obtida a partir do domínio sobrepõe a que é fornecida nas opções.

-n,--username UTILIZADOR
    O nome de utilizador da entrada a ser criada ou modificada na cache. A opção UTILIZADOR tem de ser fornecida.

-u,--uid UID
    Define o UID do utilizador para UID.

-g,--gid GID
    Define o GID do utilizador para GID.

-c,--gecos COMENTÁRIO
    Qualquer string de texto que descreva o utilizador. Muitas vezes usado como o campo para o nome completo do utilizador.

-h,--home DIRECTÓRIO_HOME
    Define o directório home do utilizador para DIRECTÓRIO_HOME.

-s,--shell SHELL
    Define a shell de login do utilizador para SHELL.

-i,--interactive
    Modo interactivo para inserir informação do utilizador. Esta opção apenas irá pedir informação não fornecida nas opções ou obtida a partir do domínio.

-p,--password-file FICHEIRO-PASSE
    Especifica o ficheiro de onde ler a palavra passe do utilizador. (se não for especificado é incitada uma palavra passe)

-?,--help
    Exibe a mensagem de ajuda e sai.

NOTAS

O comprimento da palavra passe (ou o tamanho do ficheiro especificado com opção -p ou --password-file) tem de ser menor ou igual a PASS_MAX bytes (64 bytes em sistemas sem um valor PASS_MAX globalmente definido).

VEJA TAMBÉM

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-ldap-attributes(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-idp(5), sssd-sudo(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(1), sss_ssh_knownhosts(1), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

O autor do SSSD - https://github.com/SSSD/sssd/